import React, { InputHTMLAttributes } from 'react';

interface FloatingInputProps extends InputHTMLAttributes<HTMLInputElement> {
    name: string;
    label?: string;
    placeholder?: string;
    type?: string;
    className?: string;
    inputClassName?: string;
    labelPosition?: 'inline' | 'outside' | 'inside';
    labelClassName?: string;
    borderRadius?: string;
    height?: string;
    width?: string;
    borderColor?: string;
    borderWidth?: string;
    iconPosition?: 'left' | 'right';
    showIcon?: boolean;
    icon?: React.ReactNode | any;
    required?: boolean;
    isFloating?: boolean;
    disabled?: boolean;
    labelBackground?: string;
    labelTextColor?: string;
    textColor?: string;
    primaryColor?: string;
    errorText?: string;
    errorTextColor?: string;
    errorTextClassName?: string;
    errorLabelTextColor?: string;
    toggleOffIcon?: React.ReactNode;
    toggleOnIcon?: React.ReactNode;
    legendClassName?: string;
}

declare function FloatingInput({ name, label, placeholder, onChange, type, className, labelPosition, inputClassName, labelClassName, borderRadius, height, width, borderColor, borderWidth, iconPosition, icon, required, isFloating, disabled, labelBackground, textColor, primaryColor, labelTextColor, errorText, errorTextColor, errorLabelTextColor, errorTextClassName, toggleOffIcon, toggleOnIcon, legendClassName, showIcon, ...props }: FloatingInputProps): React.JSX.Element;

export { type FloatingInputProps, FloatingInput as default };
